DO $$
DECLARE
    _path character varying(256) := 'patch-2026_04_17_EmailFoldersIndex';
BEGIN
    IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
        RETURN;
    END IF;

    IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= 16520) THEN
        RETURN;
    END IF;

    BEGIN
      
	CREATE INDEX IF NOT EXISTS "IDX_EmailFolders_UserEmailId_Path"
	    ON public."EmailFolders" USING btree
	    ("UserEmailId" ASC NULLS LAST, "Path" ASC NULLS LAST)
	    TABLESPACE pg_default; 

       INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

    EXCEPTION
        WHEN OTHERS THEN
            RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
    END;
END;
$$;